using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMaterialCodePurchaseType
    {
        public FmsMaterialCodePurchaseType()
        {
            FmsMaterialPurchaseRequest = new HashSet<FmsMaterialPurchaseRequest>();
        }

        [Key]
        public short PurchaseTypeId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(1024)]
        public string Comment { get; set; }

        [InverseProperty("PurchaseType")]
        public virtual ICollection<FmsMaterialPurchaseRequest> FmsMaterialPurchaseRequest { get; set; }
    }
}
